aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2022-08-16 17:47:44 +0200
committerTristan Gingold <tgingold@free.fr>2022-08-16 17:47:44 +0200
commita1f5a8797f36e68a3ca61568a25db67e29fda613 (patch)
treef15634f8ad590fdba4fdffeb23d0cca8b408d87c
parentce66e34c2efe1f48297a9498928efefba2e78503 (diff)
downloadghdl-a1f5a8797f36e68a3ca61568a25db67e29fda613.tar.gz
ghdl-a1f5a8797f36e68a3ca61568a25db67e29fda613.tar.bz2
ghdl-a1f5a8797f36e68a3ca61568a25db67e29fda613.zip
suite_driver: avoid spurious error messages, fix --list-files
-rwxr-xr-xtestsuite/suite_driver.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/suite_driver.sh b/testsuite/suite_driver.sh
index 29c6e7d5f..cc4dcc623 100755
--- a/testsuite/suite_driver.sh
+++ b/testsuite/suite_driver.sh
@@ -29,14 +29,14 @@ parse_cmdline () {
--start-at=*) d="$(echo "$opt" | sed -e 's/--start-at=//')"
dirs="$(echo "" "$dirs" | sed -e "s/^.* $d//")"
dirs="$d $dirs" ;;
- --list-tests) echo "$dirs"; exit 0;;
+ --list-tests) echo $dirs; exit 0;;
*) echo "Unknown option $opt"
exit 2
;;
esac
done
- NPROC=${NPROC:-$(nproc || echo 1)}
+ NPROC=${NPROC:-$(nproc 2> /dev/null || echo 1)}
}
singlerun() {